package com.kmall.admin.service.mk.dist;

import com.kmall.admin.entity.mk.dist.MkDistSellStatisEntity;

import java.util.List;
import java.util.Map;

/**
 * 购买商品生成销售分配记录统计，渠道销售统计Service接口
 *
 * @author huangyq
 * @email admin@qhdswl.com
 * @date 2019-04-09 18:04:46
 */
public interface MkDistSellStatisService {

    /**
     * 根据主键查询实体
     *
     * @param id 主键
     * @return 实体
     */
    MkDistSellStatisEntity queryObject(Integer id);

    /**
     * 分页查询
     *
     * @param map 参数
     * @return list
     */
    List<MkDistSellStatisEntity> queryList(Map<String, Object> map);

    List<MkDistSellStatisEntity> queryStatisExportList(Map<String, Object> map);

    /**
     * 分页统计总数
     *
     * @param map 参数
     * @return 总数
     */
    int queryTotal(Map<String, Object> map);

    /**
     * 保存实体
     *
     * @param mkDistSellStatis 实体
     * @return 保存条数
     */
    int save(MkDistSellStatisEntity mkDistSellStatis);

    /**
     * 根据主键更新实体
     *
     * @param mkDistSellStatis 实体
     * @return 更新条数
     */
    int update(MkDistSellStatisEntity mkDistSellStatis);

    /**
     * 根据主键删除
     *
     * @param id
     * @return 删除条数
     */
    int delete(Integer id);

    /**
     * 根据主键批量删除
     *
     * @param ids
     * @return 删除条数
     */
    int deleteBatch(Integer[] ids);
}
